QGIS Application - Bug report #17516

Variables are not correctly resolved in atlas layer filter expression

2017-11-22 09:25 AM - David Pavlicek

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.14
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:
Easy fix?:
Resolution:

No
No
fixed/implemented

Copied to github as #: 25413

Description

When qgis variable (@something) is used in atlas layer filter expression, no matching atlas features are returned. When i replace variable
with hard coded constant, everything goes well. | thing, the real problem is that variables are not resolved correctly in this context. Same
behavior encountered at master (2.99) as well at 2.18.x branch. This issue is also described in detail here by another user:

https://gis.stackexchange.com/q/244933/83655

History

#1 - 2017-11-24 02:28 PM - Giovanni Manghi
- Affected QGIS version changed from master to 2.18.14

#2 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-01-22 04:38 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

This works correctly in 3.4
